Bug 452050 - 20080618 does not work with amd780g, but 20080605 and 20080613 worked quite well
20080618 does not work with amd780g, but 20080605 and 20080613 worked quite well
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-18 19:26 EDT by ryck
Modified: 2009-07-15 04:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (20080618) doesn't work (25.11 KB, text/plain)
2008-06-18 20:04 EDT, ryck
no flags Details
Xorg log (20080613) worked OK (23.46 KB, text/plain)
2008-06-18 20:06 EDT, ryck
no flags Details
screenshot_shutdown (195.85 KB, image/jpeg)
2008-06-22 17:49 EDT, ryck
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 16347 None None None Never

  None (edit)
Description ryck 2008-06-18 19:26:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
When X starts I get poor video but totally non functional, there is a mouse pointer that moves but cannot read login screen, cannot log in, nor get any functions to go. X is useless at this point.

Version-Release number of selected component (if applicable):
xorg-x11-drv-radeonhd-1.2.1-3.1.20080618git.fc9.i386.rpm

How reproducible:
Always


Steps to Reproduce:
1.reboot or restart X
2.uninstall and reinstall the subject driver
3.

Actual Results:
no change

Expected Results:


Additional info:
Comment 1 ryck 2008-06-18 19:27:25 EDT
20080618 does not work with amd780g, but 20080605 and 20080613 worked quite well
Comment 2 ryck 2008-06-18 19:35:12 EDT
amd780g uses the Radeon HD 3200
Comment 3 ryck 2008-06-18 20:04:21 EDT
Created attachment 309807 [details]
Xorg log (20080618) doesn't work
Comment 4 ryck 2008-06-18 20:06:30 EDT
Created attachment 309808 [details]
Xorg log (20080613) worked OK
Comment 5 Hans Ulrich Niedermann 2008-06-19 04:57:30 EDT
Cute. The Xorg.log diff does look similar to
https://bugzilla.redhat.com/show_bug.cgi?id=451349 aka
https://bugs.freedesktop.org/show_bug.cgi?id=16347 even though the chips are
different.

I'll ask upstream what they think about it.
Comment 6 Hans Ulrich Niedermann 2008-06-19 05:02:18 EDT
There were just 5 commits between 20080613 and 20080618:
   http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-radeonhd;a=summary

A "git bisect" to find the offending commit should not take very long, then (3
tests), if you are up to it. Otherwise let's wait for comments from upstream.
Comment 7 Hans Ulrich Niedermann 2008-06-19 15:00:14 EDT
You could also try whether
   Option  "UnverifiedFeatures" "No"
helps.

Comment 8 ryck 2008-06-19 18:08:04 EDT
No problem, added that option and it now seems to work just like 20080605 and
20080613 now. 
Comment 9 Fedora Update System 2008-06-22 13:39:05 EDT
xorg-x11-drv-radeonhd-1.2.1-3.2.20080622git.fc9 has been submitted as an update for Fedora 9
Comment 10 ryck 2008-06-22 17:47:34 EDT
Display during system shutdown not right; screen is filled with static
characters, cannot see shutdown progress. Screenshot follows.
Comment 11 ryck 2008-06-22 17:49:02 EDT
Created attachment 310001 [details]
screenshot_shutdown
Comment 12 Hans Ulrich Niedermann 2008-06-23 07:30:52 EDT
Are comment #10 and comment #11 with
xorg-x11-drv-radeonhd-1.2.1-3.2.20080622git.fc9?

With or without
   Option  "UnverifiedFeatures" "No"
?
Comment 13 ryck 2008-06-23 12:13:37 EDT
Using xorg-x11-drv-radeonhd-1.2.1-3.2.20080622git.fc9
Same behavior with and without Option "UnverifiedFeatures" "No"
Comment 14 Fedora Update System 2008-06-24 22:53:20 EDT
xorg-x11-drv-radeonhd-1.2.1-3.2.20080622git.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-radeonhd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5672
Comment 15 ryck 2008-06-26 00:34:21 EDT
Has the behavior per comments 10, 11, 13 been deemed acceptable?
Comment 16 Hans Ulrich Niedermann 2008-06-26 06:05:30 EDT
No, that behaviour is certainly not acceptable.

Upstream is aware of the issue.
Comment 17 Hans Ulrich Niedermann 2008-07-13 14:32:54 EDT
Could you please test xorg-x11-drv-radeonhd-1.2.1-3.4.20080713git.fc9?

http://koji.fedoraproject.org/koji/taskinfo?taskID=712767
Comment 18 Fedora Update System 2008-07-13 14:34:42 EDT
xorg-x11-drv-radeonhd-1.2.1-3.4.20080713git.fc9 has been submitted as an update for Fedora 9
Comment 19 ryck 2008-07-13 16:32:11 EDT
In testing xorg-x11-drv-radeonhd-1.2.1-3.4.20080713git.fc9.i386.rpm, I have
found the behaviour described in comment 10 persists.  

When I change current runlevel from 5 to 3 or when I initiate a system shutdown
from X, I get the screen shown in attachment id=310001, which is quite useless.

I have not experienced any other problems with 20080713 as of now, however.
Comment 20 Fedora Update System 2008-07-15 08:20:51 EDT
xorg-x11-drv-radeonhd-1.2.1-3.4.20080713git.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-radeonhd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6426
Comment 21 Bug Zapper 2009-06-09 21:41:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2009-07-15 04:25:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.